Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockHttpSession

    java.lang.Object
      org.jboss.seam.mock.MockHttpSession

All Implemented Interfaces:
  javax.servlet.http.HttpSession

    public class MockHttpSession

extends Object
implements javax.servlet.http.HttpSession

Version:
  $Revision: 9668 $
Author:
  Gavin King, Thomas Heute

Constructor Summary
`MockHttpSession()`
`MockHttpSession(javax.servlet.ServletContext servletContext)`

Method Summary
`Object` | `getAttribute(String att)`
`Enumeration` | `getAttributeNames()`
`Map<String,Object>` | `getAttributes()`
`long` | `getCreationTime()`
`String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSessionContext` | `getSessionContext()`
`Object` | `getValue(String att)`
`String[]` | `getValueNames()`
`void` | `invalidate()`
`boolean` | `isInvalid()`
`boolean` | `isNew()`
`void` | `putValue(String att, Object value)`
`void` | `removeAttribute(String att)`
`void` | `removeValue(String att)`
`void` | `setAttribute(String att, Object value)`
`void` | `setMaxInactiveInterval(int max)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockHttpSession

    public MockHttpSession()

### MockHttpSession

    public MockHttpSession(javax.servlet.ServletContext servletContext)

Method Detail

### isInvalid

    public boolean isInvalid()

### getCreationTime

    public long getCreationTime()

  Specified by:
    `getCreationTime` in interface `javax.servlet.http.HttpSession`

### getId

    public String getId()

  Specified by:
    `getId` in interface `javax.servlet.http.HttpSession`

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `javax.servlet.http.HttpSession`

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int max)

  Specified by:
    `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

### getSessionContext

    public javax.servlet.http.HttpSessionContext getSessionContext()

  Specified by:
    `getSessionContext` in interface `javax.servlet.http.HttpSession`

### getAttribute

    public Object getAttribute(String att)

  Specified by:
    `getAttribute` in interface `javax.servlet.http.HttpSession`

### getValue

    public Object getValue(String att)

  Specified by:
    `getValue` in interface `javax.servlet.http.HttpSession`

### getAttributeNames

    public Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.http.HttpSession`

### getValueNames

    public String[] getValueNames()

  Specified by:
    `getValueNames` in interface `javax.servlet.http.HttpSession`

### setAttribute

    public void setAttribute(String att,
                             Object value)

  Specified by:
    `setAttribute` in interface `javax.servlet.http.HttpSession`

### putValue

    public void putValue(String att,
                         Object value)

  Specified by:
    `putValue` in interface `javax.servlet.http.HttpSession`

### removeAttribute

    public void removeAttribute(String att)

  Specified by:
    `removeAttribute` in interface `javax.servlet.http.HttpSession`

### removeValue

    public void removeValue(String att)

  Specified by:
    `removeValue` in interface `javax.servlet.http.HttpSession`

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `javax.servlet.http.HttpSession`

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `javax.servlet.http.HttpSession`

### getAttributes

    public Map<String,Object> getAttributes()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.http.HttpSession`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.